module.exports = {
    root: true,
    parserOptions: {
        ecmaVersion: 8,
        sourceType: 'module'
    },
    extends: 'eslint:recommended',
    env: {
        browser: true,
        es6: true,
        jquery: true,
        commonjs: true,
        node: true
    },
    globals: {
        '-Promise': true,
        'require': true,
        'module': true
    },
    rules: {
        'semi': ['error', 'always'],
        'no-unused-vars': ['error', { 'args': 'after-used' }],
        'curly': 'error',
        'no-alert': 'error',
        'eqeqeq': 'error',
        'no-eval': 'error',
        'no-implied-eval': 'error',
        'guard-for-in': 'error',
        'wrap-iife': 'error',
        'no-caller': 'error',
        'no-new': 'error',
        'no-eq-null': 'error',
        'no-unused-expressions': 'error',
        'accessor-pairs': 'error',
        'block-scoped-var': 'error',
        'no-loop-func': 'error',
        'dot-notation': 'error',
        'no-div-regex': 'error',
        'no-extra-bind': 'error',
        'no-iterator': 'error',
        'no-labels': 'error',
        'no-lone-blocks': 'error',
        'no-new-func': 'error',
        'no-new-wrappers': 'error',
        'no-octal-escape': 'error',
        'no-proto': 'error',
        'no-return-assign': 'error',
        'no-script-url': 'error',
        'no-self-compare': 'error',
        'no-useless-call': 'error',
        'no-useless-concat': 'error',
        'no-void': 'error',
        'no-with': 'error',
        'radix': 'error',
        'yoda': 'error',
        'no-catch-shadow': 'error',
        'no-label-var': 'error',
        'no-shadow-restricted-names': 'error',
        'no-undef-init': 'error',
        'no-use-before-define': 'error',
        'callback-return': 'error',
        'global-require': 'error',
        'handle-callback-err': 'error',
        'no-path-concat': 'error',
        'no-process-exit': 'error',
        'block-spacing': 'error',
        'brace-style': ['error', '1tbs', { allowSingleLine: true }],
        'comma-spacing': ['error', { before: false, after: true }],
        'consistent-this': 'error',
        'indent': ['error', 4, { 'SwitchCase': 1 }],
        'object-curly-spacing': ['error', 'always', { objectsInObjects: false }],
        'no-var': 'error',
        'require-yield': 'error',
        'space-before-function-paren': ['error', { anonymous: 'always', named: 'never', asyncArrow: 'always' }],
        'object-shorthand': ['error', 'always', { avoidExplicitReturnArrows: true }],
        'no-console': ["warn", { allow: ["warn", "error"] }]
    }
};